from launch import LaunchDescription
from launch_ros.actions import Node

def generate_launch_description():
    return LaunchDescription([
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_classification_tsr',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_cominput_tsr',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_control_behavior_acc',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_databroker_acc',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_databroker_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_databroker_pcc',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_detection_tsr',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_gaussian_filter_tsr',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_input_acc',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_isr_10_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_isr_11_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_isr_1_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_isr_2_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_isr_3_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_isr_4_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_isr_5_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_isr_6_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_isr_7_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_isr_8_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_isr_9_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_output_acc',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_output_tsr',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_perception_acc',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_prediction_pcc',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_preprocessing_acc',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_resizing_tsr',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_segmentation_to_background_tsr',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_segmentation_tsr',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_task_1000ms_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_task_100ms_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_task_10ms_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_task_1ms_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_task_200ms_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_task_20ms_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_task_2ms_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_task_50ms_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_task_5ms_ecm',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_trajectory_optimizer_pcc',
		),
		Node(
			package='amalthea_ros2_model',
			node_namespace='',
			node_executable='Node_world_model_acc',
		),
	])
